Security Enhanced Linux Reference Policy

# Layer: services

## Module: gnomeclock

Interfaces

### Description:

Gnome clock handler for setting the time.

### Interfaces:

gnomeclock_dbus_chat( domain )

##### Summary

Send and receive messages from gnomeclock over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnomeclock_domtrans( domain )

##### Summary

Execute a domain transition to run gnomeclock.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gnomeclock_run( domain , role )

##### Summary

Execute gnomeclock in the gnomeclock domain, and allow the specified role the gnomeclock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access
role | The role to be allowed the gnomeclock domain.

Return